Welcome to the Parablu Support Center

On September 30, 2021 there will be a change in how older browsers and devices are trusted. An old SSL root certificate called DST Root CA X3 will expire on that date. The new certificate that replaces it - ISRG Root X1 is now widely trusted - but some older OS versions and browser versions which are not under support/maintenance won’t know about it because they don’t receive software updates any more.

That means those older OS’es and browsers that don’t trust ISRG Root X1 may start getting certificate warnings.Since your Parablu portal is protected using SSL certificates – it is possible that these changes could affect your user experience. We wanted to be proactive and inform you so you have sufficient time to upgrade our OS / browser if necessary.

Our team has identified the following Platforms / Versions as possible candidates to face the warning notifications: MacOSX version less than 10.12.1 Mozilla Firefox version less than 50.0 *Browsers (Chrome, Safari, Edge, Opera) are probably safe because they generally trust the same root certificates as the operating system they are running on. Firefox is an exception, since it has its own root store

If you are on a version of MacOSX older than 10.12.1, we could recommend updating to a later version. And if you are using Firefox to access the Parablu portal, please consider upgrading to a version that is 50.0 or greater.


Regards,

Parablu Support Team